--- openbgpd-3.6/bgpd/session.c	Thu Sep  9 23:53:57 2004
+++ openbgpd-3.6-patched/bgpd/session.c	Sun Mar 20 15:33:51 2005
@@ -206,9 +206,12 @@
 	setproctitle("session engine");
 	bgpd_process = PROC_SE;
 
+/* we don't have PF_KEY implemented in a way OpenBSD has
+
 	if (pfkey_init(&sysdep) == -1)
 		fatalx("pfkey setup failed");
 
+*/
 	if (setgroups(1, &pw->pw_gid) ||
 	    setegid(pw->pw_gid) || setgid(pw->pw_gid) ||
 	    seteuid(pw->pw_uid) || setuid(pw->pw_uid))
--- openbgpd-3.6/bgpctl/Makefile	Thu Feb 26 17:19:58 2004
+++ openbgpd-3.6-patched/bgpctl/Makefile	Sun Mar 20 18:55:24 2005
@@ -11,5 +11,6 @@
 CFLAGS+= -Wsign-compare
 CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../bgpd
 MAN=	bgpctl.8
+BINDIR= /sbin/
 
 .include <bsd.prog.mk>
--- openbgpd-3.6/bgpctl/bgpctl.c	Fri Aug 20 17:49:35 2004
+++ openbgpd-3.6-patched/bgpctl/bgpctl.c	Sun Mar 20 15:27:10 2005
@@ -20,7 +20,6 @@
 #include <sys/socket.h>
 #include <sys/un.h>
 #include <net/if.h>
-#include <net/if_media.h>
 #include <net/if_types.h>
 
 #include <err.h>
@@ -35,6 +34,7 @@
 #include "rde.h"
 #include "log.h"
 #include "parser.h"
+#include "if_media.h"
 
 enum neighbor_views {
 	NV_DEFAULT,
--- openbgpd-3.6/bgpd/Makefile	Fri May  7 12:06:15 2004
+++ openbgpd-3.6-patched/bgpd/Makefile	Sun Mar 20 18:55:32 2005
@@ -5,7 +5,7 @@
 PROG=	bgpd
 SRCS=	bgpd.c buffer.c session.c log.c parse.y config.c imsg.c \
 	rde.c rde_rib.c rde_decide.c rde_prefix.c mrt.c kroute.c \
-	control.c pfkey.c rde_update.c rde_attr.c printconf.c \
+	control.c pfkey_compat.c rde_update.c rde_attr.c printconf.c \
 	rde_filter.c pftable.c
 CFLAGS+= -Wall -I${.CURDIR}
 CFLAGS+= -Wstrict-prototypes -Wmissing-prototypes
@@ -14,5 +14,6 @@
 CFLAGS+= -Wsign-compare
 YFLAGS=
 MAN= bgpd.8 bgpd.conf.5
+BINDIR= /sbin/
 
 .include <bsd.prog.mk>
